Package com.independentsoft.office.vml

# Enum Class VerticalAnchorType

java.lang.Object
java.lang.Enum<VerticalAnchorType>
com.independentsoft.office.vml.VerticalAnchorType

All Implemented Interfaces:
  `Serializable`, `Comparable<VerticalAnchorType>`, `Constable`

public enum VerticalAnchorType extends Enum<VerticalAnchorType>
The Enum VerticalAnchorType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LINE`
  `MARGIN`
  `NONE`
  `PAGE`
  `TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VerticalAnchorType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static VerticalAnchorType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LINE

    public static final VerticalAnchorType LINE

  - ### MARGIN

    public static final VerticalAnchorType MARGIN

  - ### PAGE

    public static final VerticalAnchorType PAGE

  - ### TEXT

    public static final VerticalAnchorType TEXT

  - ### NONE

    public static final VerticalAnchorType NONE

- ## Method Details

  - ### values

    public static VerticalAnchorType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VerticalAnchorType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null